from django.db import models

# Create your models here.

class Page(models.Model):
  content = models.TextField("Содержимое")
  class Meta:
    verbose_name = "Страница"
    verbose_name_plural = "Страницы"

class Site(models.Model):
  domain = models.CharField("Домен",max_length=50)
  base_page = models.ForeignKey(Page,on_delete=models.PROTECT,verbose_name="Базовая страница")
  def __str__(self) -> str:
    return self.domain
  class Meta:
    verbose_name = "Сайт"
    verbose_name_plural = "Сайты"